MTP [Android] -stöd för alla GNU / Linux-distributioner.

Om du kom så långt beror det på att du vill lägga till stöd för multimedia-dataöverföringsprotokollet MTP (Multimedia Transfer Protocol) av vår Android.

Frågan är mycket enkel. Lägg bara till (beroende på vilken distro du har; deb eller rpm) en serie kodrader (med sudo för nybörjare) för att installera paketen och starta om så att den känner igen det interna minnet i mobiltelefonen.

MTP-stöd i Debian / Ubuntu / Mint och derivat "deb"

Jag klargör att först försök det sista av de tre stegen. Det kan hända att din distro redan har programmen i förvaret. Om du får ett fel startar du härifrån.

först:

sudo add-apt-repository ppa:langdalepl/gvfs-mtp

andra:

sudo apt-get update & dist-upgrade

Senast:

sudo apt-get install mtp-tools mtpfs

MTP-stöd i Red Hat / Fedora / CentOS / Suse och "rpm" -derivat:

Sätt (klargöra att de måste ha RPMFusion repos)

sudo yum install gvfs-mtp kio_mtp libmtp simple-mtpfs

Filerna är lätta, så du kan ladda ner dem med lugn och ro att de är väldigt lätta. Som jag sa tidigare; starta om och det är det. De kommer redan att ha mtp-stöd på sin älskade och älskade Linux.


Innehållet i artikeln följer våra principer om redaktionell etik. Klicka på för att rapportera ett fel här.

25 kommentarer, lämna din

Lämna din kommentar

Din e-postadress kommer inte att publiceras.

*

*

  1. Ansvarig för uppgifterna: Miguel Ángel Gatón
  2. Syftet med uppgifterna: Kontrollera skräppost, kommentarhantering.
  3. Legitimering: Ditt samtycke
  4. Kommunikation av uppgifterna: Uppgifterna kommer inte att kommuniceras till tredje part förutom enligt laglig skyldighet.
  5. Datalagring: databas värd för Occentus Networks (EU)
  6. Rättigheter: När som helst kan du begränsa, återställa och radera din information.

  1.   Jorge sade

    Det är bra, när jag väl aktiverat det och allt är bra, även om det skulle vara perfekt om MTP inte var så långsam i GNU / Linux.

  2.   Gabriel sade

    Detta tips är mycket användbart 😉

  3.   Tabris sade

    Samma kio-mtp fungerar långt ifrån bra med alla Android-telefoner

  4.   Källans manual sade

    Jag lägger till, för Arch Linux är:

    # pacman -S libmtp gvfs-mtp

    Och om jag minns rätt måste du starta om sessionen för att tillämpa ändringarna.

    1.    Shyancore sade

      Tack så mycket för att du har bidragit med att ge mer användbar information 🙂

    2.    paul honorato sade

      Även om Arch kände igen min telefon efter installationen var den lite klumpig. Jag ska pröva honom.

  5.   surfare sade

    väldigt intressant, tack för tipset, och förresten här i bloggen har jag inte sett någon nämna den mest kända telefonen för tillfället (ja egentligen inte så mycket längre) OnePlus One som kommer med Cyanogenmod som standard, jag har redan sett många recensioner men nej Jag skulle vilja se en av bloggen här

  6.   pabloncho sade

    Tack så mycket!!!!

    Det fungerar också för Windows Phone 8.1 på en bärbar dator med Ubuntu 14.04.
    Det kostade mig en värld att ansluta min mobiltelefon till den bärbara datorn för att flytta filer, främst musik, med dessa steg senare var det plug & play. 🙂

    Utmärkt arbete!!!

    Hälsningar från södra Chile !!

  7.   Brian sade

    Informationen är mycket uppskattad !!!!

  8.   Herr Paquito sade

    Hälsningar till alla och alla.

    Bara en snabb fråga:

    Mtp-tools och mtpfs-paketen är inte redan installerade som standard i Ubuntu 14.04?

    Jag trodde de var det.

    Tack.

  9.   snickare sade

    Det finns också alternativet KDE Connect, en utmärkt applikation, inte bara är det filsynkronisering, du kan också använda din smartphone som pekplatta och multimediekontroll.
    Hälsningar 😀

  10.   Avelino DeSousa sade

    Hej, hur kan jag aktivera MTP på Windows Phone 8.1 för att använda den på Linux? även om jag vill ha en Android och jag inte har några pengar att köpa en, letar jag efter hur jag ansluter den i Linux, antingen Ubuntu, Fedora eller OpenSUSE. en hälsning.

    1.    Shyancore sade

      Det känner också igen Windows-telefonen

  11.   Jose sade

    För sortälskare: gmtp (http://gmtp.sourceforge.net).
    Jag använder den med min Lumia 520 med wp8.1 och låter mig arbeta med internt minne (telefon) eller externt minne (SD).

  12.   Orlando Palma sade

    Hej,
    Tack för inmatningen, jag har följt stegen för att aktivera MTP i Elementary OS Luna (baserat på ubuntu 12.04), men det fungerar inte, min moto G visas inte i filhanteraren. I Ubuntu 14.04 fungerar det direkt
    Installera mtp-tools runtime och inte heller
    Några idéer
    Hälsningar och tack

    1.    Shyancore sade

      Märkte du att Moto G var som MTP och inte masslagring? Det har hänt mig haha

  13.   Varierande Heavy sade

    Jag klargör att det sista kommandot är giltigt för Red Hat och dess ersättare, men inte för OpenSUSE (eller för andra "rpm" som Mageia, OpenMandriva eller PCLinuxOS), eftersom det senare inte använder Yum utan Zypper, och det använder inte RPMFusion-förvaret. Istället i OpenSUSE kommer de begärda paketen att hittas, om inte i deras officiella arkiv, i ett av gemenskapsförvaren (troligen "Filesystems" eller "Packman"), och kommandot skulle vara:

    sudo zypper installera

  14.   jesusguevarautomotriz sade

    # sudo add-apt-repository ppa: langdalepl / gvfs-mtp
    .
    gpg: begär nyckel C07BBEC4 från hkp server keyserver.ubuntu.com
    gpg: nyckel C07BBEC4: «Launchpad PPA för Philip Langdale» har inte ändrats
    gpg: Totalt antal bearbetade: 1
    gpg: oförändrad: 1

    sudo apt-get update & dist-upgrade
    [1] 5904
    bash: dist-upgrade: kommandot hittades inte
    .
    E: Vissa indexfiler kunde inte laddas ned. De har ignorerats eller gamla använts istället.

    # dist-uppgradering
    bash: dist-upgrade: kommandot hittades inte

    s # sudo apt-get install mtp-tools mtpfs
    Läsa paketlistor ... Färdig
    Bygger beroendeträd
    Läsa tillståndsinformation ... Färdig
    E: Det gick inte att hitta paketet mtpfs

  15.   jesusguevarautomotriz sade

    I slutändan installerade jag Pushbullet och Airdroid på Android och det tjänar mig för vad jag vill göra just nu, det vill säga överföra ett foto från telefonen till datorn utan att skicka det till mig via e-post. Även om jag fortfarande har telefonen ansluten till den bärbara datorn eftersom den laddas.

    Jag kunde inte använda MPT.

  16.   erickisos sade

    Jag vet inte om det är jag, men det verkar för mig att den andra kommandoraden är fel, och istället för "dist-upgrade" skulle det bara vara en apt-get-uppgradering, eller hur? kanske det är min grej

  17.   aeneas_e sade

    Bra bidrag detta inlägg!
    Var försiktig med konfigurationen av mobiltelefonen. Om USB-felsökning är aktiv på Android eller sådant, kommer det inte att visas på din linux, även om du har MTP-paketen.
    På min Xubuntu 14.04 var de nödvändiga paketen tillgängliga.
    hälsningar,

  18.   Alfred sade

    Tja, det fungerar inte för mig i Mint 17.3. Följande meddelande kommer ut
    '' Denna PPA stöder inte pålitliga ''
    Kan inte lägga till PPA: »Denna PPA stöder inte pålitliga».

  19.   Andres Anibal Nuñez Hals sade

    Jag får den här »sudo apt-get update & dist-upgrade
    [1] 4887
    dist-upgrade: order hittades inte
    Objekt: 1 http://linux.teamviewer.com/deb stabil InRelease
    Objekt: 2 http://archive.ubuntu.com/ubuntu kosmisk InRelease
    Tändning: 3 http://ppa.launchpad.net/langdalepl/gvfs-mtp/ubuntu kosmisk InRelease
    Objekt: 4 http://security.ubuntu.com/ubuntu kosmisk säkerhet InRelease
    Objekt: 5 http://archive.ubuntu.com/ubuntu kosmiska uppdateringar InRelease
    Objekt: 6 http://archive.ubuntu.com/ubuntu cosmic-backports InRelease
    Tändning: 7 http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu kosmisk InRelease
    ERR: 8 http://ppa.launchpad.net/langdalepl/gvfs-mtp/ubuntu kosmisk släpp
    404 hittades inte [IP: 91.189.95.83 80]
    ERR: 9 http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu kosmisk släpp
    404 hittades inte [IP: 91.189.95.83 80]
    Läser paketlista ... Klar
    E: Förvaret "http://ppa.launchpad.net/langdalepl/gvfs-mtp/ubuntu cosmic Release" har ingen release-fil.
    N: Du kan inte uppdatera från ett förvar som detta säkert och därför är det inaktiverat som standard.
    N: Se man-apt (8) man-sidan för information om hur du skapar förvar och konfigurerar användare.
    E: Förvaret "http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu cosmic Release" har ingen release-fil.
    N: Du kan inte uppdatera från ett förvar som detta säkert och därför är det inaktiverat som standard.
    N: Se man-apt (8) man-sidan för information om hur du skapar förvar och konfigurerar användare.
    anibal @ anibal-pc: ~ $ gvfs-mtp kio_mtp libmtp enkel-mtpfs
    gvfs-mtp: kommandot hittades inte
    [1] + Utdata 100 sudo apt-get-uppdatering
    [1] + Utdata 100 sudo apt-get-uppdatering
    anibal @ anibal-pc: ~ $
    »
    Jag vet inte vad jag ska göra nästa eftersom det upptäcker det men det säger mig när jag öppnar mobiltelefonmappen »Namnet: 1.84 tillhandahölls inte av några .service-filer»
    Jag är ny på Lubuntu Jag har aldrig använt ubuntu

  20.   Edgardo sade

    Jag har Ubuntu 20.04 och det fungerade inte för mig

    1.    Joaquin Manuel Crespo sade

      Hej Edgardo, ditt inlägg är 6 år nu, så när inläggen är så gamla är det osannolikt att författaren (i det här fallet jag) kommer att svara på dig. Idag du safas eftersom du fångade mig i bra att försöka komma ihåg ett sådant gammalt lösenord haha.

      Kom ihåg att starta om sessionen (eftersom gvfs startar som en grafisk miljötjänst) och konfigurera på din telefon att använda MTP-protokollet.